Bug 499986 - Review Request: mingw32-libidn - MinGW Windows Internationalized Domain Name support library
Review Request: mingw32-libidn - MinGW Windows Internationalized Domain Name ...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Thomas Sailer
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 499987 499992
  Show dependency treegraph
 
Reported: 2009-05-09 16:43 EDT by Erik van Pienbroek
Modified: 2009-05-25 17:23 EDT (History)
5 users (show)

See Also:
Fixed In Version: 1.14-2.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-25 17:10:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
t.sailer: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Erik van Pienbroek 2009-05-09 16:43:52 EDT
Spec URL: http://www.ftd4linux.nl/contrib/mingw32-libidn.spec
SRPM URL: http://www.ftd4linux.nl/contrib/mingw32-libidn-1.14-1.fc11.src.rpm
Description:
GNU Libidn is an implementation of the Stringprep, Punycode and
IDNA specifications defined by the IETF Internationalized Domain
Names (IDN) working group, used for internationalized domain
names.

Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1345318

Approved MinGW packaging guidelines are here:
http://fedoraproject.org/wiki/Packaging/MinGW
Comment 1 Thomas Moschny 2009-05-20 15:03:32 EDT
Source0 gives a 404 error, should be http://ftp.gnu.org/gnu/libidn/libidn-%{version}.tar.gz instead.
Comment 2 Thomas Sailer 2009-05-21 19:58:03 EDT
Source0 path should be  http://ftp.gnu.org/gnu/libidn/libidn-%{version}.tar.gz

Fedora review mingw32-libidn-1.14-1.fc11.src.rpm 2009-05-22

Another scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1369425

rpmlint output:
$ rpmlint mingw32-libidn.spec mingw32-libidn-1.14-1.fc12.src.rpm mingw32-libidn-1.14-1.fc12.noarch.rpm mingw32-libidn-static-1.14-1.fc12.noarch.rpm                                                                    
mingw32-libidn.noarch: W: file-not-in-%lang /usr/i686-pc-mingw32/sys-root/mingw/share/locale/cs/LC_MESSAGES/libidn.mo                                           
mingw32-libidn.noarch: W: file-not-in-%lang /usr/i686-pc-mingw32/sys-root/mingw/share/locale/da/LC_MESSAGES/libidn.mo                                           
mingw32-libidn.noarch: W: file-not-in-%lang /usr/i686-pc-mingw32/sys-root/mingw/share/locale/de/LC_MESSAGES/libidn.mo                                           
mingw32-libidn.noarch: W: file-not-in-%lang /usr/i686-pc-mingw32/sys-root/mingw/share/locale/en@boldquot/LC_MESSAGES/libidn.mo                                  
mingw32-libidn.noarch: W: file-not-in-%lang /usr/i686-pc-mingw32/sys-root/mingw/share/locale/en@quot/LC_MESSAGES/libidn.mo                                      
mingw32-libidn.noarch: W: file-not-in-%lang /usr/i686-pc-mingw32/sys-root/mingw/share/locale/eo/LC_MESSAGES/libidn.mo                                           
mingw32-libidn.noarch: W: file-not-in-%lang /usr/i686-pc-mingw32/sys-root/mingw/share/locale/fi/LC_MESSAGES/libidn.mo
mingw32-libidn.noarch: W: file-not-in-%lang /usr/i686-pc-mingw32/sys-root/mingw/share/locale/fr/LC_MESSAGES/libidn.mo
mingw32-libidn.noarch: W: file-not-in-%lang /usr/i686-pc-mingw32/sys-root/mingw/share/locale/id/LC_MESSAGES/libidn.mo
mingw32-libidn.noarch: W: file-not-in-%lang /usr/i686-pc-mingw32/sys-root/mingw/share/locale/it/LC_MESSAGES/libidn.mo
mingw32-libidn.noarch: W: file-not-in-%lang /usr/i686-pc-mingw32/sys-root/mingw/share/locale/ja/LC_MESSAGES/libidn.mo
mingw32-libidn.noarch: W: file-not-in-%lang /usr/i686-pc-mingw32/sys-root/mingw/share/locale/nl/LC_MESSAGES/libidn.mo
mingw32-libidn.noarch: W: file-not-in-%lang /usr/i686-pc-mingw32/sys-root/mingw/share/locale/pl/LC_MESSAGES/libidn.mo
mingw32-libidn.noarch: W: file-not-in-%lang /usr/i686-pc-mingw32/sys-root/mingw/share/locale/ro/LC_MESSAGES/libidn.mo
mingw32-libidn.noarch: W: file-not-in-%lang /usr/i686-pc-mingw32/sys-root/mingw/share/locale/sr/LC_MESSAGES/libidn.mo
mingw32-libidn.noarch: W: file-not-in-%lang /usr/i686-pc-mingw32/sys-root/mingw/share/locale/vi/LC_MESSAGES/libidn.mo
mingw32-libidn.noarch: W: file-not-in-%lang /usr/i686-pc-mingw32/sys-root/mingw/share/locale/zh_CN/LC_MESSAGES/libidn.mo
mingw32-libidn-static.noarch: E: arch-independent-package-contains-binary-or-object /usr/i686-pc-mingw32/sys-root/mingw/lib/libidn.a
mingw32-libidn-static.noarch: W: no-documentation
3 packages and 1 specfiles checked; 1 errors, 18 warnings.


As per Packaging/MinGW, these errors can be ignored.

+ OK
! needs attention


+ rpmlint output
+ Package is named according to Fedora MinGW packaging guidelines
+ Specfile name matches the package base name
+ Package follows the Fedora MinGW packaging guidelines
+ License meets guidelines and is acceptable to Fedora
  LGPLv2+
+ License matches the actual package license
  It is also the same as in the corresponding Fedora libidn package
+ The package contains the license file (COPYING, COPYING.LIB)
+ Spec file is written in American English
+ Spec file is legible
+ Upstream sources match sources in the srpm
2ac3913b2d6c42bf445e7c55db3e2a99  libidn-1.14.tar.gz
2ac3913b2d6c42bf445e7c55db3e2a99  x/libidn-1.14.tar.gz

n/a Package builds in mock
n/a ExcludeArch bugs filed
+ BuildRequires list all build dependencies
n/a %find_lang instead of %{_datadir}/locale/*
n/a binary RPM with shared library files must call ldconfig in %post and
%postun
+ Does not use Prefix: /usr
+ Package owns all directories it creates
+ No duplicate files in %files
+ %files has %defattr
+ %clean contains rm -rf $RPM_BUILD_ROOT
+ Consistent use of macros
+ Package must contain code or permissible content
n/a Large documentation files should go in -doc subpackage
+ Files marked %doc should not affect package
n/a Header files should be in -devel
    Fedora MinGW guidelines allow headers in main package
+ Static libraries should be in -static
+ Packages containing pkgconfig (.pc) files need 'Requires: pkgconfig'
n/a libfoo.so must go in -devel
n/a -devel must require the fully versioned base
n/a Packages should not contain libtool .la files
    Fedora MinGW guidelines allow .la files
n/a Packages containing GUI apps must include %{name}.desktop file
+ Packages must not own files or directories owned by other packages
+ %install begins with rm -rf $RPM_BUILD_ROOT
+ Filenames must be valid UTF-8
! use %global instead of %define
! Source0 path invalid
! the commented references to Patch0 should go IMO
Comment 3 Erik van Pienbroek 2009-05-22 09:28:29 EDT
Spec URL: http://www.ftd4linux.nl/contrib/mingw32-libidn.spec
SRPM URL: http://www.ftd4linux.nl/contrib/mingw32-libidn-1.14-2.fc11.src.rpm

* Fri May 22 2009 Erik van Pienbroek <epienbro@fedoraproject.org> - 1.14-2
- Use %%global instead of %%define
- Fixed the Source URL
- Use %%find_lang for the gettext translations
- Dropped the commented out patch
Comment 4 Thomas Sailer 2009-05-22 10:48:11 EDT
APPROVED by sailer
Comment 5 Erik van Pienbroek 2009-05-22 11:13:59 EDT
New Package CVS Request
=======================
Package Name: mingw32-libidn
Short Description: MinGW Windows Internationalized Domain Name support library
Owners: epienbro rjones
Branches: F-10 F-11
InitialCC:
Comment 6 Kevin Fenzi 2009-05-23 01:38:56 EDT
cvs done.
Comment 7 Fedora Update System 2009-05-24 08:44:08 EDT
mingw32-libidn-1.14-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/mingw32-libidn-1.14-2.fc11
Comment 8 Fedora Update System 2009-05-24 08:55:55 EDT
mingw32-libidn-1.14-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/mingw32-libidn-1.14-2.fc10
Comment 9 Fedora Update System 2009-05-25 17:10:21 EDT
mingw32-libidn-1.14-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2009-05-25 17:23:28 EDT
mingw32-libidn-1.14-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.